'IsOPOSPresent.vbs
'
'Checks to see if an iSeries OPOS Installation is present. If so,
'creates a file HasOPOS.tmp of length 0 in the current working folder.

Const HKLM = &H80000002 'HKEY_LOCAL_MACHINE
strComputer = "."
strKey = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"
strEntry1a = "DisplayName"
strEntry1b = "QuietDisplayName"
Set objFSO = CreateObject("Scripting.FileSystemObject")

Set objReg = GetObject("winmgmts://" & strComputer & _
 "/root/default:StdRegProv")
objReg.EnumKey HKLM, strKey, arrSubkeys
For Each strSubkey In arrSubkeys
  intRet1 = objReg.GetStringValue(HKLM, strKey & strSubkey, _
   strEntry1a, strValue1)
  If intRet1 <> 0 Then
    objReg.GetStringValue HKLM, strKey & strSubkey, _
      strEntry1b, strValue1
  End If
  If strValue1 = "Ingenico iSeries OPOS Integration Kit" Then
     Set objTextFile = objFSO.CreateTextFile("hasOPOS.tmp", True)
  End If
  If strValue1 = "OPOS for the Ingenico iSeries" Then
     Set objTextFile = objFSO.CreateTextFile("hasOPOS.tmp", True)
  End If
Next

